org.apache.lucene.index

## Class Term

- java.lang.Object
- - org.apache.lucene.index.Term

All Implemented Interfaces:
  Comparable<Term>

    public final class Term
    extends Object
    implements Comparable<Term>

A Term represents a word from text. This is the unit of search. It is composed of two elements, the text of the word, as a string, and the name of the field that the text occurred in. Note that terms may represent more than words from text fields, but also things like dates, email addresses, urls, etc.

### Constructor Summary

Constructors
Constructor and Description
`Term(String fld)` Constructs a Term with the given field and empty text.
`Term(String fld, BytesRef bytes)` Constructs a Term with the given field and bytes.
`Term(String fld, String text)` Constructs a Term with the given field and text.

### Method Summary

Methods
`BytesRef` `bytes()` Returns the bytes of this term.
`int` `compareTo(Term other)` Compares two terms, returning a negative integer if this term belongs before the argument, zero if this term is equal to the argument, and a positive integer if this term belongs after the argument.
`boolean` `equals(Object obj)`
`String` `field()` Returns the field of this term.
`int` `hashCode()`
`String` `text()` Returns the text of this term.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Term

    public Term(String fld,
        BytesRef bytes)

Constructs a Term with the given field and bytes.

Note that a null field or null bytes value results in undefined behavior for most Lucene APIs that accept a Term parameter.

WARNING: the provided BytesRef is not copied, but used directly. Therefore the bytes should not be modified after construction, for example, you should clone a copy by `BytesRef.deepCopyOf(org.apache.lucene.util.BytesRef)` rather than pass reused bytes from a TermsEnum.

#### Term

    public Term(String fld,
        String text)

Constructs a Term with the given field and text.

Note that a null field or null text value results in undefined behavior for most Lucene APIs that accept a Term parameter.

#### Term

    public Term(String fld)

Constructs a Term with the given field and empty text. This serves two purposes: 1) reuse of a Term with the same field. 2) pattern for a query.

Parameters:
  `fld` - field's name

### Method Detail

#### field

    public final String field()

Returns the field of this term. The field indicates the part of a document which this term came from.

#### text

    public final String text()

Returns the text of this term. In the case of words, this is simply the text of the word. In the case of dates and other types, this is an encoding of the object as a string.

#### bytes

    public final BytesRef bytes()

Returns the bytes of this term.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public final int compareTo(Term other)

Compares two terms, returning a negative integer if this term belongs before the argument, zero if this term is equal to the argument, and a positive integer if this term belongs after the argument. The ordering of terms is first by field, then by text.

Specified by:
  `compareTo` in interface `Comparable<Term>`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`